Bullet Collision Detection & Physics Library: btConvexConcaveCollisionAlgorithm Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
btConvexConcaveCollisionAlgorithm Class Reference

btConvexConcaveCollisionAlgorithm supports collision between convex shapes and (concave) trianges meshes. More...

`#include <btConvexConcaveCollisionAlgorithm.h>`

Inheritance diagram for btConvexConcaveCollisionAlgorithm:
[legend]
Collaboration diagram for btConvexConcaveCollisionAlgorithm:
[legend]

## Classes
struct | CreateFunc
struct | SwappedCreateFunc

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btConvexConcaveCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, bool isSwapped)
virtual | ~btConvexConcaveCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)
void | clearCache ()
Public Member Functions inherited from btActivatingCollisionAlgorithm
virtual | ~btActivatingCollisionAlgorithm ()
Public Member Functions inherited from btCollisionAlgorithm
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()

## Private Attributes
btConvexTriangleCallback | m_btConvexTriangleCallback
bool | m_isSwapped

## Additional Inherited Members
Protected Member Functions inherited from btActivatingCollisionAlgorithm
| btActivatingCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
| btActivatingCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
Protected Attributes inherited from btCollisionAlgorithm
btDispatcher * | m_dispatcher

## Detailed Description

btConvexConcaveCollisionAlgorithm supports collision between convex shapes and (concave) trianges meshes.

Definition at line 76 of file btConvexConcaveCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btConvexConcaveCollisionAlgorithm()

btConvexConcaveCollisionAlgorithm::btConvexConcaveCollisionAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | bool | isSwapped )

Definition at line 31 of file btConvexConcaveCollisionAlgorithm.cpp.

## ◆ ~btConvexConcaveCollisionAlgorithm()

btConvexConcaveCollisionAlgorithm::~btConvexConcaveCollisionAlgorithm | ( |  | ) |
| virtual

Definition at line 38 of file btConvexConcaveCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btConvexConcaveCollisionAlgorithm::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ calculateTimeOfImpact()

btScalar btConvexConcaveCollisionAlgorithm::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut )
| virtual

Implements btCollisionAlgorithm.

Definition at line 314 of file btConvexConcaveCollisionAlgorithm.cpp.

## ◆ clearCache()

void btConvexConcaveCollisionAlgorithm::clearCache | ( |  | ) |

Definition at line 216 of file btConvexConcaveCollisionAlgorithm.cpp.

## ◆ getAllContactManifolds()

void btConvexConcaveCollisionAlgorithm::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| virtual

Implements btCollisionAlgorithm.

Definition at line 42 of file btConvexConcaveCollisionAlgorithm.cpp.

## ◆ processCollision()

void btConvexConcaveCollisionAlgorithm::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut )
| virtual

Implements btCollisionAlgorithm.

Definition at line 221 of file btConvexConcaveCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_btConvexTriangleCallback

btConvexTriangleCallback btConvexConcaveCollisionAlgorithm::m_btConvexTriangleCallback
| private

Definition at line 79 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_isSwapped

bool btConvexConcaveCollisionAlgorithm::m_isSwapped
| private

Definition at line 81 of file btConvexConcaveCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btConvexConcaveCollisionAlgorithm.h
- btConvexConcaveCollisionAlgorithm.cpp